<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-md-4"></div>
            <div class="col-md-4">
                <div class="alert alert-danger" *ngIf="authenticationError">
                    <div class="alert alert-danger">
                        <strong>Failed to sign in!</strong> Please check your credentials and try again.
                    </div>
                </div>
                <div class="section-title col-md-12">
                    <h3 class="title"><span>Sign</span> <span style="color: #dd0a37;">In</span></h3></div>
                <form name="loginForm"  class="form" role="form" (ngSubmit)="login()" #loginForm="ngForm">
                    <div class="form-group">
                        <label class="username-label" for="username">Login</label>
                        <input type="text" class="form-control" name="username" id="username" placeholder="Username"
                               [(ngModel)]="credentials.username"  minlength="1" #loginInput="ngModel" required>
                        <div *ngIf="loginInput.touched && loginInput.invalid">
                            <small class="form-text text-danger"
                                   *ngIf="loginInput.errors.required">
                                This field is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="loginInput.errors.minlength">
                                This field is required.
                            </small>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="password">Password</label>
                        <input type="password" class="form-control" name="password" id="password" placeholder="Password"
                               [(ngModel)]="credentials.password" minlength="1" #PasswordInput="ngModel" required>
                        <div *ngIf="PasswordInput.touched && PasswordInput.invalid">
                            <small class="form-text text-danger"
                                   *ngIf="PasswordInput.errors.required">
                                This field is required.
                            </small>
                            <small class="form-text text-danger"
                                   *ngIf="PasswordInput.errors.minlength">
                                This field is required.
                            </small>
                        </div>
                    </div>
                    <div class="form-check">
                        <label class="form-check-label" for="rememberMe">
                            <input class="form-check-input" type="checkbox" name="rememberMe" id="rememberMe"
                                   [(ngModel)]="rememberMe" checked>
                            <span>Remember me</span>
                        </label>
                    </div>
                    <button type="submit" [disabled]="loginForm.invalid" class="btn btn-primary">Sign in</button>
                </form>
                <p></p>
                <!--<div class="alert alert-warning">-->
                <!--<span>You don't have an account yet?</span>-->
                <!--<a routerLink="/register" routerLinkActive="active">Register a new account</a>-->
                <!--</div>-->
            </div>
        </div>
    </div>
</div>

